Timeouts
Recommended client-side values
| Operation type | Timeout |
|---|---|
POST /facturas | 30 s |
GET /facturas/{clave} | 10 s |
GET /facturas/{clave}/pdf | 30 s |
GET /facturas/{clave}/xml | 10 s |
POST /facturas/{clave}/email | 30 s |
DELETE /facturas/{clave} | 10 s |
GET /consecutivos/proximo | 10 s |
If a POST times out
Critical: if Idempotency-Key was set, it’s safe to retry.
Without Idempotency-Key the document could be duplicated. Idempotency-Key must always be used on POST requests.
See also: idempotency and client retries.